Package Details: qwtpolar 1.1.1-2

Git Clone URL: https://aur.archlinux.org/qwtpolar.git (read-only)
Package Base: qwtpolar
Description: Qwt library that contains classes for displaying values on a polar coordinate system
Upstream URL: http://qwtpolar.sourceforge.net/
Licenses: custom:qwt
Conflicts: qwtpolar-qt5
Provides: qwtpolar-qt5=1.1.1
Replaces: qwtpolar-qt5
Submitter: felixzero
Maintainer: Scimmia
Last Packager: Scimmia
Votes: 54
Popularity: 0.531641
First Submitted: 2011-05-21 13:54
Last Updated: 2017-07-05 00:11

Latest Comments

Scimmia commented on 2017-07-10 14:55

Is your system completely up to date? That's covered in the dependencies.

geosam commented on 2017-07-10 14:49

I get the next error in x64:

:: Building qwtpolar package(s)...
==> Making package: qwtpolar 1.1.1-2 (Mon Jul 10 09:48:34 -05 2017)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> WARNING: Using existing $srcdir/ tree
==> Removing existing $pkgdir/ directory...
==> Starting build()...
cd src/ && ( test -e Makefile || /usr/bin/qmake-qt5 -o Makefile /home/samtux/.cache/pacaur/qwtpolar/src/qwtpolar-1.1.1/src/src.pro ) && make -f Makefile
make[1]: Entering directory '/home/samtux/.cache/pacaur/qwtpolar/src/qwtpolar-1.1.1/src'
/usr/bin/qmake-qt5 -o Makefile src.pro
compiling qwt_polar_fitter.cpp
In file included from qwt_polar_fitter.cpp:9:0:
qwt_polar_fitter.h:13:10: fatal error: qwt_curve_fitter.h: No such file or directory
#include <qwt_curve_fitter.h>
^~~~~~~~~~~~~~~~~~~~
compilation terminated.
make[1]: *** [Makefile:852: obj/qwt_polar_fitter.o] Error 1
make[1]: Leaving directory '/home/samtux/.cache/pacaur/qwtpolar/src/qwtpolar-1.1.1/src'
make: *** [Makefile:47: sub-src-make_first-ordered] Error 2
==> ERROR: A failure occurred in build().
Aborting...
:: failed to build qwtpolar package(s)

cox commented on 2016-08-08 15:45

I had qwt-qt5 installed and this declares that it provides qwt, hence no error messages about it during installation of qgis. Thanks for your help will try again

Scimmia commented on 2016-08-08 14:33

The file in question is in the qwt package. It's a direct dependency of this one. You should have it.

cox commented on 2016-08-08 14:04

I was trying to install qgis and the installation stopped with the error message in previous comment. qwtpolar-qt5 installed fine.

cox commented on 2016-08-08 07:34

Install fails for me with:
qwt_polar_fitter.h:13:30: fatal error: qwt_curve_fitter.h: No such file or directory

saultdon commented on 2016-01-14 23:51

scimmia, it's been transferred to you =)

Scimmia commented on 2016-01-14 14:28

sautdon, I have no problem with you maintaining it; but if you'd rather not, I'd be willing to take over.

saultdon commented on 2016-01-06 21:33

@scimmia I can orphan if you'd like to be maintainer? I'm just not getting the time these days to give most packages the attention they need.

saultdon commented on 2015-10-27 22:45

@scimmia It fetches a branch of the current release with bugfixes.

All comments